org.apache.uima.cas.impl

## Interface LowLevelIndex

- All Known Subinterfaces:
    FSIndexImpl
  All Known Implementing Classes:
    FSBagIndex, FSIntArrayIndex, FSLeafIndexImpl, FSRBTSetIndex

      public interface LowLevelIndex

  Low-level FS index object. Use to obtain low-level iterators.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `ll_compare(int ref1, int ref2)`
    `LowLevelIterator` | `ll_iterator()` Get a low-level, FS reference iterator.
    `LowLevelIterator` | `ll_iterator(boolean ambiguous)` Get a low-level, FS reference iterator.
    `LowLevelIterator` | `ll_rootIterator()` Get a low-level, FS reference iterator specifying instances of the precise type only (i.e.
    `int` | `size()` Get the number of FSs in this index.

- - ### Method Detail

    - #### ll_iterator

          LowLevelIterator ll_iterator()

      Get a low-level, FS reference iterator.
      Returns:
        An iterator for this index.

    - #### ll_iterator

          LowLevelIterator ll_iterator(boolean ambiguous)

      Get a low-level, FS reference iterator. This iterator can be disambiguated. This means that only non-overlapping annotations will be returned. Non-annotation FSs will be filtered in this mode.
      Parameters:
        `ambiguous` - When set to `false`, iterator will be disambiguated.
      Returns:
        An iterator for this index.

    - #### ll_rootIterator

          LowLevelIterator ll_rootIterator()

      Get a low-level, FS reference iterator specifying instances of the precise type only (i.e. without listing the subtypes).
      Returns:
        An iterator for the root type of this index.

    - #### size

          int size()

      Get the number of FSs in this index.
      Returns:
        The size of this index.

    - #### ll_compare

          int ll_compare(int ref1,
                         int ref2)

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.